Subject: Re: [PATCH] ethtool: Add reset operation

From: David Miller <[email-masked]>
Date: Wed, 07 Oct 2009 01:29:02 -0700 (PDT)

From: Ben Hutchings <[email-masked]>
Date: Mon, 05 Oct 2009 21:59:58 +0100

> After updating firmware stored in flash, users may wish to reset the
> relevant hardware and start the new firmware immediately.  This should
> not be completely automatic as it may be disruptive.
> 
> A selective reset may also be useful for debugging or diagnostics.
> 
> This adds a separate reset operation which takes flags indicating the
> components to be reset.  Drivers are allowed to reset only a subset of
> those requested, and must indicate the actual subset.  This allows the
> use of generic component masks and some future expansion.
> 
> Signed-off-by: Ben Hutchings <[email-masked]>
> ---
> This differs from the previous (RFC) version only in the semantics of
> the output value of the reset flags: they should indicate the components
> which were *not* reset.  This should be slightly less error-prone as it
> means implementations do not need to maintain the input and output flags
> separately.

Just so my previous reply doesn't confuse, I did apply this version
of the patch.